%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-cachecontrol
Version:       0.14.2
Release:       1mamba
Summary:       httplib2 caching for requests
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/CacheControl/
Source:        https://pypi.debian.net/CacheControl/cachecontrol-%{version}.tar.gz
License:       Apache License 2.0
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(msgpack)
BuildRequires: python3.11dist(requests)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n cachecontrol-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/doesitcache
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*

%changelog
* Thu Jan 09 2025 Automatic Build System <autodist@openmamba.org> 0.14.2-1mamba
- automatic version update by autodist

* Tue Nov 05 2024 Automatic Build System <autodist@openmamba.org> 0.14.1-1mamba
- automatic version update by autodist

* Fri Feb 02 2024 Automatic Build System <autodist@openmamba.org> 0.14.0-1mamba
- automatic version update by autodist

* Sat Sep 30 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.1-1mamba
- package created using the webbuild interface
